package sprzedaz.strumieniowo;

import javax.swing.*;
import java.util.List;

public class P2_SumaZWybranegoMiasta_reduce {

    public static void main(String[] args) {
        List<Transakcja> transakcje = ObslugaCSV.wczytaj("sprzedaz.csv");
        String miasto = JOptionPane.showInputDialog("Podaj nazwę miasta:");

        double suma = transakcje.stream()
                .filter(tr -> tr.getMiasto().equals(miasto))
                .mapToDouble(Transakcja::getWartoscDouble)
                .reduce(0.0, Double::sum);

        JOptionPane.showMessageDialog(null, "Suma wynosi " + suma);
    }

}
